<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

echo "<table border=0 width=80% cellspacing=2 cellpadding=6><tr>
<td align=right class=datacell>
<b>سيتم تثبيت البرنامج الان ...</b><br><br>";

include('./../modules/media/admin/information.php');
$query = array(); 
$query[] = "DROP TABLE IF EXISTS rafia_media_cat";
$query[] = "DROP TABLE IF EXISTS rafia_media_comment";
$query[] = "DROP TABLE IF EXISTS rafia_media_items";
$query[] = "DROP TABLE IF EXISTS rafia_media_moalif";
$query[] = "CREATE TABLE rafia_media_cat (
  cat_id int(10) NOT NULL auto_increment,
  cat_main tinyint(4) NOT NULL default '1',
  cat_sub int(10) NOT NULL default '0',
  cat_title varchar(255) NOT NULL default '',
  cat_desc varchar(255) NOT NULL default '0',
  cat_count tinyint(4) NOT NULL default '0',
  cat_order tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (cat_id)
);";
$query[] = "CREATE TABLE rafia_media_items (
  item_id int(10) NOT NULL auto_increment,
  item_cat int(10) NOT NULL default '0',
  item_title varchar(200) NOT NULL default '',
  item_moalif varchar(200) NOT NULL default '',
  item_desc varchar(255) NOT NULL default '',
  item_uid int(10) NOT NULL default '0',
  item_type tinyint(1) NOT NULL default '1',
  item_link varchar(255) NOT NULL default '',
  item_date int(16) NOT NULL default '0',
  item_show int(10) NOT NULL default '0',
  item_down int(10) NOT NULL default '0',
  item_comment int(10) NOT NULL default '0',
  item_allow tinyint(1) NOT NULL default '0',
  item_gcomm tinyint(1) NOT NULL,
  item_rate int(10) NOT NULL default '0',
  item_crate int(10) NOT NULL default '0',
  item_send int(10) NOT NULL default '0',
  item_sticky tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (item_id)
);";
$query[] = "CREATE TABLE rafia_media_comment (
  comment_id int(10) NOT NULL auto_increment,
  comment_cat int(10) NOT NULL default '0',
  comment_item int(10) NOT NULL default '0',
  comment_text text NOT NULL,
  comment_user varchar(150) NOT NULL default '',
  comment_allow tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (comment_id)
);";
$query[] = "CREATE TABLE rafia_media_moalif (
  id_moalif int(10) NOT NULL auto_increment,
  name_moalif varchar(255) NOT NULL default '',
  desc_moalif text NOT NULL,
  order_moalif tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id_moalif)
);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module', 'الحجم الاقصى لتحميل ملف', 'file_size', '2048', 1, 6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module', 'تفعيل مراقبة المشاركات الجديده قبل النشر', 'new_active', '1', 2, 5);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module','عدد اعمدة الاقسام','Cat_media','2','3',3);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module','عدد المشاركات في كل صفحة','media_active','25','4',6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module','تفعيل التعليقات','comment_allow','wit','5',2);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module', 'اللون الأول في تعاقب الألوان', 'color1', '#F2F2F2', 6, 6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module', 'اللون الثاني في تعاقب الألوان', 'color2', '#F8F8F8', 7, 6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module','المجموعة المشرفة على المكتبة','media_edit_gp','1,4','8',7);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', '$module','المجموعة التي تستطيع الأضافة','media_add_gp','1,2,3,4','9',7);";


$query[] = "INSERT INTO rafia_mods VALUES ('', '$module', '$mod_title', '$mod_user', 1, '$left_menu', '$right_menu', '0','$menuid',1,1,1);";
foreach($query as $line){
if(!$apt->query($line)) {
$query_cid = $k+1;
echo "<table>";
echo "<tr>";
echo "<td><b>عفوا حدث خطأ: </b> عفوا .. الاستعلام رقم  $query_cid  لم يتم تفعيله وذلك بسبب:.<br>\n</td>";
echo "</tr>";
echo "<tr>";
print "<td dir=ltr>" . mysql_error() . '</td>';
echo "</tr>";
echo "<tr>";
echo "<td><b>نص الاستعلام :</b></td>";
echo "</tr>";
echo "<tr>";
echo "<td align=left>$line</td>";
echo "</tr>";
$admin->closetable2();

print "<hr noshade size=\"1\">\n";
$false = true;
}
}
if(!$false == true){
$modid    	= $apt->insertid();
$mod  	= $module;
$theme    	= "الافتراضي";
$themename = "./../modules/media/admin/media.theme";
$filesize = @filesize($themename);
$filenum  = @fopen($themename,"r");
$filetemp = @fread($filenum,$filesize);
@fclose($filenum);

$design_temp    = explode("|--|",$filetemp);

$result  = $apt->query("SELECT `themeid` FROM `rafia_mods_templates` where modid='$modid' ORDER BY `themeid` DESC limit 1;");
$row=$apt->dbarray($result);
@extract($row);
$themeid = $themeid + 1;
	$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '1', '$themeid', '', '$modid', '$mod', '$theme', '', '');");

$count    = count($design_temp);
for ($i = 1; $i < $count; $i++){
       $exp     = explode("<=>",$design_temp[$i]);
       $exp[1] = $admin->format_data($exp[1]);
$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '0', '0', '$themeid', '$modid', '$mod', '', '$exp[0]', '$exp[1]');");
}


}

if($false == true){$wrong='انتهى التثبيت و لكن ظهرت بعض الاخطاء ... يرجى طلب الدعم الفني مع ذكر رسالة الخطأ ورقم الاستعلام';}else{
$wrong='انتهى التثبيت بنجاح';}

echo "<center>$wrong<br><hr><a href=mod.php?act=set&" . $admin->get_sess(). "><b>العودة الى قائمة البرامج الاضافية</b></a></center></td></tr></table>";

?>